Skip to main content
GET
Get evaluation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required

Query Parameters

embed
string | null

Relation embedding. Available values: action, comfyui_workflow, flow, gate_failures, judges, model, parent_evaluation, run. Use a comma-separated list to request multiple embeds.

Response

The requested evaluation.

id
string<uuid> | null
org_id
string<uuid> | null
run_id
string<uuid> | null
target_type_code
string | null
model_id
string<uuid> | null
flow_id
string<uuid> | null
comfyui_workflow_id
string<uuid> | null
status_code
enum<string> | null
Available options:
pending,
running,
completed,
failed
task_type
string | null
task_description
string | null
generation_prompt
string | null
generated_image_url
string | null
input_attributes
Input Attributes · object | null
evaluation_instructions
string | null
reference_images
Reference Images · object[] | null
overall_passed
boolean | null
weighted_pass_rate
number | null
override_reason
string | null
top_issues
string[] | null
top_strengths
string[] | null
check_summary
Check Summary · object | null
analysis_modules_executed
integer | null
primary_action_code
string | null
parent_evaluation_id
string<uuid> | null
attempt_number
integer | null
superseded_at
string<date-time> | null
eval_duration_ms
integer | null
feedback_is_positive
boolean | null
feedback_reason
string | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
source_code
enum<string> | null
Available options:
platform,
api
client_ref
string | null
submitted_at
string<date-time> | null
completed_at
string<date-time> | null
callback_url
string | null
cost
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
failure_code
enum<string> | null
Available options:
invalid_media,
dispatch_failed,
processing_failed,
timed_out
job_class_code
enum<string> | null
Available options:
standard,
quick
judges
FullValidator · object[] | null
gate_failures
FullValidator · object[] | null
action
PublicValidator · object | null
run
FullValidator · object | null

Response shape.

model
FullValidator · object | null

Response shape.

parent_evaluation
unknown